Package org.codehaus.groovy.tools.gse

## Class StringSetMap

- java.lang.Object
- - java.util.AbstractMap<K,​V>
  - - java.util.HashMap<K,​V>
    - - java.util.LinkedHashMap<java.lang.String,​java.util.Set<java.lang.String>>
      - - org.codehaus.groovy.tools.gse.StringSetMap

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Cloneable`, `java.util.Map<java.lang.String,​java.util.Set<java.lang.String>>`

      public class StringSetMap
      extends java.util.LinkedHashMap<java.lang.String,​java.util.Set<java.lang.String>>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `java.util.AbstractMap.SimpleEntry<K extends java.lang.Object,​V extends java.lang.Object>, java.util.AbstractMap.SimpleImmutableEntry<K extends java.lang.Object,​V extends java.lang.Object>`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StringSetMap()` |
    `StringSetMap​(StringSetMap other)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.Set<java.lang.String>` | `get​(java.lang.Object o)` |
    `void` | `makeTransitiveHull()` |

    - ### Methods inherited from class java.util.LinkedHashMap

      `clear, containsValue, entrySet, forEach, getOrDefault, keySet, removeEldestEntry, replaceAll, values`

    - ### Methods inherited from class java.util.HashMap

      `clone, compute, computeIfAbsent, computeIfPresent, containsKey, isEmpty, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, size`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `compute, computeIfAbsent, computeIfPresent, containsKey, equals, hashCode, isEmpty, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, size`

- - ### Constructor Detail

    - #### StringSetMap

          public StringSetMap()

    - #### StringSetMap

          public StringSetMap​(StringSetMap other)

  - ### Method Detail

    - #### get

          public java.util.Set<java.lang.String> get​(java.lang.Object o)

      Specified by:
        `get` in interface `java.util.Map<java.lang.String,​java.util.Set<java.lang.String>>`
      Overrides:
        `get` in class `java.util.LinkedHashMap<java.lang.String,​java.util.Set<java.lang.String>>`

    - #### makeTransitiveHull

          public void makeTransitiveHull()